> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a project

> Retrieve one project without nested collections.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/projects/{projectId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/{projectId}:
    get:
      tags:
        - Projects
      summary: Retrieve a project
      description: Retrieve one project without nested collections.
      operationId: retrieveProject
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      responses:
        '200':
          description: Retrieve a project
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  description:
                    type:
                      - string
                      - 'null'
                  id:
                    type: string
                    minLength: 1
                    maxLength: 255
                  includeDeps:
                    type: boolean
                    default: true
                  includeSkills:
                    type: boolean
                    default: true
                  name:
                    type: string
                  setupScript:
                    type:
                      - string
                      - 'null'
                  updatedAt:
                    type: string
                    format: date-time
                  activeSnapshots:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        size:
                          type: string
                          enum:
                            - nano
                            - micro
                            - small
                            - medium
                            - large
                            - xl
                            - xxl
                            - ultra
                        builtAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - size
                        - builtAt
                      additionalProperties: false
                  codeRepositoryIds:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                      minLength: 1
                      maxLength: 255
                  color:
                    type: string
                    enum:
                      - neutral
                      - red
                      - orange
                      - yellow
                      - green
                      - teal
                      - blue
                      - purple
                      - pink
                  defaultForSizes:
                    type: array
                    items:
                      type: string
                      enum:
                        - nano
                        - micro
                        - small
                        - medium
                        - large
                        - xl
                        - xxl
                        - ultra
                  icon:
                    type: string
                    enum:
                      - folder
                      - code
                      - terminal
                      - book
                      - brain
                      - bug
                      - building
                      - cloud
                      - globe
                      - idea
                      - tools
                      - magic
                      - processor
                      - sandbox
                      - server
                      - tasks
                      - tactics
                      - images
                      - database
                      - api
                      - mobile
                      - package
                  sizes:
                    type: array
                    items:
                      type: string
                      enum:
                        - nano
                        - micro
                        - medium
                        - large
                        - xl
                        - xxl
                        - ultra
                  warmPoolEnabled:
                    type: boolean
                required:
                  - createdAt
                  - description
                  - id
                  - includeDeps
                  - includeSkills
                  - name
                  - setupScript
                  - updatedAt
                  - activeSnapshots
                  - codeRepositoryIds
                  - color
                  - defaultForSizes
                  - icon
                  - sizes
                  - warmPoolEnabled
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````